unit uModel;

interface
type
  TWuerfel = class(TObject)
  private
    FAugen : byte;
  public
    procedure SetAugen(a : byte);
    procedure SetRandom;
    function GetAugen : byte;
  end;

  TSpiel = class(TObject)
  private
    Wuerfel1, Wuerfel2 : TWuerfel;
  public
    constructor Create;
    destructor Destroy;
    procedure wuerfeln;
    function wurf1 : byte;
    function wurf2 : byte;
  end;

implementation

procedure TWuerfel.SetAugen(a : byte);
begin
  FAugen := a;
end;

procedure TWuerfel.SetRandom;
begin
  FAugen := Random(6)+1;
end;

function TWuerfel.GetAugen : byte;
begin
  Result := FAugen;
end;

constructor TSpiel.Create;
begin
  inherited Create; // inherited;  hat gleiche Wirkung
  Wuerfel1 := TWuerfel.Create;
  Wuerfel2 := TWuerfel.Create;
end;

destructor TSpiel.Destroy;
begin
  Wuerfel1.Free;
  Wuerfel2.Free;
  inherited Destroy;
end;

procedure TSpiel.wuerfeln;
begin
  Wuerfel1.SetRandom; Wuerfel2.SetRandom;
end;

function TSpiel.wurf1 : byte;
begin
  Result := Wuerfel1.GetAugen;
end;

function TSpiel.wurf2 : byte;
begin
  Result := Wuerfel2.GetAugen;
end;

end.
